package com.bocloud.cmp.model.hmc.pcm;

import com.alibaba.fastjson.JSON;

import java.util.List;

public class HypervisorUtilSample {
    private String timeStamp;
    private Long status;
    private List<ErrorInfo> errorInfo;
    private Double timeBasedCycles;
    private SystemFirmware systemFirmware;
    private Processor processor;
    private Memory memory;
    private List<SharedMemoryPool> sharedMemoryPool;
    private List<SharedProcessorPool> sharedProcessorPool;
    private Network network;
    private List<PartitionUtil> lparsUtil;
    private List<PartitionUtil> viosUtil;

    public String getTimeStamp() {
        return timeStamp;
    }

    public void setTimeStamp(String timeStamp) {
        this.timeStamp = timeStamp;
    }

    public Long getStatus() {
        return status;
    }

    public void setStatus(Long status) {
        this.status = status;
    }

    public List<ErrorInfo> getErrorInfo() {
        return errorInfo;
    }

    public void setErrorInfo(List<ErrorInfo> errorInfo) {
        this.errorInfo = errorInfo;
    }

    public Double getTimeBasedCycles() {
        return timeBasedCycles;
    }

    public void setTimeBasedCycles(Double timeBasedCycles) {
        this.timeBasedCycles = timeBasedCycles;
    }

    public SystemFirmware getSystemFirmware() {
        return systemFirmware;
    }

    public void setSystemFirmware(SystemFirmware systemFirmware) {
        this.systemFirmware = systemFirmware;
    }

    public Processor getProcessor() {
        return processor;
    }

    public void setProcessor(Processor processor) {
        this.processor = processor;
    }

    public Memory getMemory() {
        return memory;
    }

    public void setMemory(Memory memory) {
        this.memory = memory;
    }

    public List<SharedMemoryPool> getSharedMemoryPool() {
        return sharedMemoryPool;
    }

    public void setSharedMemoryPool(List<SharedMemoryPool> sharedMemoryPool) {
        this.sharedMemoryPool = sharedMemoryPool;
    }

    public List<SharedProcessorPool> getSharedProcessorPool() {
        return sharedProcessorPool;
    }

    public void setSharedProcessorPool(List<SharedProcessorPool> sharedProcessorPool) {
        this.sharedProcessorPool = sharedProcessorPool;
    }

    public Network getNetwork() {
        return network;
    }

    public void setNetwork(Network network) {
        this.network = network;
    }

    public List<PartitionUtil> getLparsUtil() {
        return lparsUtil;
    }

    public void setLparsUtil(List<PartitionUtil> lparsUtil) {
        this.lparsUtil = lparsUtil;
    }

    public List<PartitionUtil> getViosUtil() {
        return viosUtil;
    }

    public void setViosUtil(List<PartitionUtil> viosUtil) {
        this.viosUtil = viosUtil;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
